From c40429e4dcbff127d5075a37292172c850231319 Mon Sep 17 00:00:00 2001
From: "Jonathan S. Katz" <jonathan.katz@excoventures.com>
Date: Wed, 28 Feb 2018 08:43:54 -0500
Subject: [PATCH] Fix URL reference to the "commands" module and improve
 language.

Reported by Raymond O'Donnell <rod@iol.ie>
---
 templates/pages/developer/backend.html | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/templates/pages/developer/backend.html b/templates/pages/developer/backend.html
index 72fed19..4b9912c 100644
--- a/templates/pages/developer/backend.html
+++ b/templates/pages/developer/backend.html
@@ -56,9 +56,9 @@ or <a
 href="https://git.postgresql.org/gitweb/?p=postgresql.git;a=blob;f=src/include/nodes/parsenodes.h">SelectStmt.</a></p>
 
 <p>The statement is then identified as complex (<i>SELECT / INSERT /
-UPDATE / DELETE</i>) or a simple, e.g <i> CREATE USER, ANALYZE, </i>,
-etc.  Simple utility commands are processed by statement-specific
-functions in <a href="https://wiki.postgresql.org/wiki/Backend_flowchart#commands.</a>
+UPDATE / DELETE</i>) or simple, e.g <i>CREATE USER, ANALYZE,</i>
+etc.  Simple utility commands that do not require the executor are processed by statement-specific
+functions in the <a href="https://wiki.postgresql.org/wiki/Backend_flowchart#commands">commands</a> module.
 Complex statements require more handling.</p>
 
 <p>The parser takes a complex query, and creates a <a
-- 
2.14.3 (Apple Git-98)

